Index: trunk/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComSlice.h	(revision 1067)
+++ trunk/source/Lib/TLibCommon/TComSlice.h	(revision 1084)
@@ -45,10 +45,8 @@
 #include "TComRom.h"
 #include "TComList.h"
-#if H_MV_HLS10_GEN_FIX
 #if H_MV
 #include <ios>
 #include <iostream>
 #include <iomanip>
-#endif
 #endif
 //! \ingroup TLibCommon
@@ -207,5 +205,4 @@
   Bool m_frameOnlyConstraintFlag;
   
-#if H_MV_HLS10_PTL
 #if H_MV
   Bool m_max12bitConstraintFlag;
@@ -220,5 +217,4 @@
   Bool m_inbldFlag;
 #endif
-#endif
 public:
   ProfileTierLevel();
@@ -252,5 +248,4 @@
 
 #if H_MV
-#if H_MV_HLS10_PTL
   Void setMax12bitConstraintFlag( Bool flag ) { m_max12bitConstraintFlag = flag; } 
   Bool getMax12bitConstraintFlag(  ) { return m_max12bitConstraintFlag; } 
@@ -281,11 +276,8 @@
   Void setInbldFlag( Bool flag ) { m_inbldFlag = flag; } 
   Bool getInbldFlag(  ) { return m_inbldFlag; } 
-#endif
-#if H_MV_HLS10_PTL_INFER_FIX
   Bool getV2ConstraintsPresentFlag();  
   Bool getInbldPresentFlag();
   Void copyV2ConstraintFlags( ProfileTierLevel* ptlRef );
   Void copyProfile( ProfileTierLevel* ptlRef );
-#endif
 #endif
 };
@@ -310,10 +302,6 @@
   ProfileTierLevel* getSubLayerPTL(Int i)  { return &m_subLayerPTL[i]; }
 #if H_MV
-#if H_MV_HLS10_PTL_INFER_FIX
   Void inferGeneralValues ( Bool profilePresentFlag  , Int k, TComPTL* refPTL );; 
   Void inferSubLayerValues( Int maxNumSubLayersMinus1, Int k, TComPTL* refPTL );; 
-#else
-  Void copyLevelFrom( TComPTL* source );
-#endif
 #endif
 };
@@ -501,5 +489,4 @@
 class TComVpsVuiBspHrdParameters
 {
-#if H_MV_HLS10_VPS_VUI_BSP
 
   /* Not yet tested */
@@ -563,45 +550,4 @@
   Void setHrdParametermeters( Int k, TComHRD* val  ) {  *(m_hrdParameters + k ) = *val; }; 
   TComHRD* getHrdParametermeters( Int k ) {  return m_hrdParameters + k; }; 
-#else 
-private: 
-  Int  m_vpsNumBspHrdParametersMinus1;
-  Bool m_bspCprmsPresentFlag[MAX_NUM_BSP_HRD_PARAMETERS];
-  Int  m_numBitstreamPartitions[MAX_VPS_OP_SETS_PLUS1];
-  Bool m_layerInBspFlag[MAX_VPS_OP_SETS_PLUS1][MAX_NUM_BSP_HRD_PARAMETERS][MAX_NUM_LAYERS];
-  Int  m_numBspSchedCombinationsMinus1[MAX_VPS_OP_SETS_PLUS1];
-  Int  m_bspCombHrdIdx[MAX_VPS_OP_SETS_PLUS1][MAX_NUM_BSP_HRD_PARAMETERS][MAX_NUM_BSP_SCHED_COMBINATION];
-  Int  m_bspCombSchedIdx[MAX_VPS_OP_SETS_PLUS1][MAX_NUM_BSP_HRD_PARAMETERS][MAX_NUM_BSP_SCHED_COMBINATION];
-  TComHRD* m_hrdParameters[MAX_NUM_BSP_HRD_PARAMETERS]; 
-public: 
-
-  Void setVpsNumBspHrdParametersMinus1( Int  val ) { m_vpsNumBspHrdParametersMinus1 = val; } 
-  Int  getVpsNumBspHrdParametersMinus1(  ) { return m_vpsNumBspHrdParametersMinus1; } 
-
-  Void setBspCprmsPresentFlag( Int i, Bool flag ) { m_bspCprmsPresentFlag[i] = flag; } 
-  Bool getBspCprmsPresentFlag( Int i ) { return m_bspCprmsPresentFlag[i]; } 
-
-  Void setNumBitstreamPartitions( Int h, Int  val ) { m_numBitstreamPartitions[h] = val; } 
-  Int  getNumBitstreamPartitions( Int h ) { return m_numBitstreamPartitions[h]; } 
-
-  Void setLayerInBspFlag( Int h, Int i, Int j, Bool flag ) { m_layerInBspFlag[h][i][j] = flag; } 
-  Bool getLayerInBspFlag( Int h, Int i, Int j ) { return m_layerInBspFlag[h][i][j]; } 
-  Void checkLayerInBspFlag ( TComVPS* vps, Int h );  
-
-  Void setNumBspSchedCombinationsMinus1( Int h, Int  val ) { m_numBspSchedCombinationsMinus1[h] = val; } 
-  Int  getNumBspSchedCombinationsMinus1( Int h ) { return m_numBspSchedCombinationsMinus1[h]; } 
-
-  Void setBspCombHrdIdx( Int h, Int i, Int j, Int  val ) { m_bspCombHrdIdx[h][i][j] = val; } 
-  Int  getBspCombHrdIdx( Int h, Int i, Int j ) { return m_bspCombHrdIdx[h][i][j]; } 
-  Int  getBspCombHrdIdxLen() { return gCeilLog2( getVpsNumBspHrdParametersMinus1() + 1);  }; 
-
-
-  Void setBspCombSchedIdx( Int h, Int i, Int j, Int  val ) { m_bspCombSchedIdx[h][i][j] = val; } 
-  Int  getBspCombSchedIdx( Int h, Int i, Int j ) { return m_bspCombSchedIdx[h][i][j]; } 
-
-  Void checkBspCombHrdAndShedIdx( TComVPS* vps, Int h, Int i, Int j );
-
-  Void setHrdParametermeters( Int k, TComHRD* val  ) {  m_hrdParameters[k] = val; }; 
-  TComHRD* getHrdParametermeters( Int k ) {  return m_hrdParameters[k]; }; 
-#endif
 };
 
@@ -630,8 +576,6 @@
   Bool m_wppNotInUseFlag;
   Bool m_wppInUseFlag                [MAX_NUM_LAYERS];
-#if H_MV_HLS10_VPS_VUI
   Bool m_singleLayerForNonIrapFlag;
   Bool m_higherLayerIrapSkipFlag;
-#endif
   Bool m_ilpRestrictedRefLayersFlag;
   Int  m_minSpatialSegmentOffsetPlus1[MAX_NUM_LAYERS][MAX_NUM_LAYERS];
@@ -708,5 +652,4 @@
   Bool getWppInUseFlag( Int i ) { return m_wppInUseFlag[i]; } 
 
-#if H_MV_HLS10_VPS_VUI
   Void setSingleLayerForNonIrapFlag( Bool flag ) { m_singleLayerForNonIrapFlag = flag; } 
   Bool getSingleLayerForNonIrapFlag(  ) { return m_singleLayerForNonIrapFlag; } 
@@ -714,5 +657,4 @@
   Void setHigherLayerIrapSkipFlag( Bool flag ) { m_higherLayerIrapSkipFlag = flag; } 
   Bool getHigherLayerIrapSkipFlag(  ) { return m_higherLayerIrapSkipFlag; } 
-#endif
 
   Void setIlpRestrictedRefLayersFlag( Bool flag ) { m_ilpRestrictedRefLayersFlag = flag; } 
@@ -750,5 +692,4 @@
   Int  m_bitDepthVpsLumaMinus8;
   Int  m_bitDepthVpsChromaMinus8;
-#if H_MV_HLS10_GEN_VSP_CONF_WIN
   Bool m_conformanceWindowVpsFlag;
   Int  m_confWinVpsLeftOffset;
@@ -756,9 +697,7 @@
   Int  m_confWinVpsTopOffset;
   Int  m_confWinVpsBottomOffset;
-#endif
 
 public: 
 
-#if H_MV_HLS10_GEN_VSP_CONF_WIN
   TComRepFormat()
   { 
@@ -769,7 +708,4 @@
   m_confWinVpsBottomOffset   = 0;
   };  
-#else
-  TComRepFormat() { };  
-#endif
 
   Void setChromaAndBitDepthVpsPresentFlag( Bool flag ) { m_chromaAndBitDepthVpsPresentFlag = flag; } 
@@ -796,5 +732,4 @@
   Int  getBitDepthVpsChromaMinus8(  ) { return m_bitDepthVpsChromaMinus8; } 
 
-#if H_MV_HLS10_GEN_VSP_CONF_WIN
   Void setConformanceWindowVpsFlag( Bool flag ) { m_conformanceWindowVpsFlag = flag; } 
   Bool getConformanceWindowVpsFlag(  ) { return m_conformanceWindowVpsFlag; } 
@@ -811,5 +746,4 @@
   Void setConfWinVpsBottomOffset( Int  val ) { m_confWinVpsBottomOffset = val; } 
   Int  getConfWinVpsBottomOffset(  ) { return m_confWinVpsBottomOffset; } 
-#endif
 };
 
@@ -834,9 +768,5 @@
 
   Void setMaxVpsDecPicBufferingMinus1( Int i, Int k, Int j, Int  val ) { m_maxVpsDecPicBufferingMinus1[i][k][j] = val; } 
-  #if H_MV_HLS10_ADD_LAYERSETS
   Int  getMaxVpsDecPicBufferingMinus1( Int i, Int k, Int j ) { assert( m_maxVpsDecPicBufferingMinus1[i][k][j] >= 0 ); return m_maxVpsDecPicBufferingMinus1[i][k][j]; }     
-  #else
-  Int  getMaxVpsDecPicBufferingMinus1( Int i, Int k, Int j ) { return m_maxVpsDecPicBufferingMinus1[i][k][j]; } 
-  #endif
 
   Void setMaxVpsNumReorderPics( Int i, Int j, Int  val ) { m_maxVpsNumReorderPics[i][j] = val; } 
@@ -853,7 +783,5 @@
 #if H_MV
   Bool        m_vpsBaseLayerInternalFlag;
-#if H_MV_HLS10_GEN_VSP_BASE_LAYER_AVAIL
   Bool        m_vpsBaseLayerAvailableFlag;
-#endif // H_MV_HLS10_GEN
 #endif
 
@@ -925,9 +853,5 @@
   Int         m_layerSetIdxForOlsMinus1  [MAX_VPS_OUTPUTLAYER_SETS];  
   Bool        m_outputLayerFlag          [MAX_VPS_OUTPUTLAYER_SETS][MAX_VPS_NUH_LAYER_ID_PLUS1];
-#if H_MV_HLS10_PTL
   Int         m_profileTierLevelIdx      [MAX_VPS_OUTPUTLAYER_SETS ][MAX_NUM_LAYERS];
-#else  
-  Int         m_profileLevelTierIdx      [MAX_VPS_OUTPUTLAYER_SETS ];
-#endif
   Bool        m_altOutputLayerFlag       [MAX_VPS_OUTPUTLAYER_SETS];
   Bool        m_repFormatIdxPresentFlag;
@@ -958,33 +882,19 @@
   // VPS EXTENSION SEMANTICS VARIABLES
   Int         m_layerIdInVps             [MAX_NUM_LAYERS   ];
-#if H_MV_HLS10_REF_PRED_LAYERS
   Int         m_dependencyFlag           [MAX_NUM_LAYERS][MAX_NUM_LAYERS]; 
-#endif
 
   Int         m_numDirectRefLayers       [MAX_NUM_LAYERS];
-#if H_MV_HLS10_REF_PRED_LAYERS
   Int         m_idDirectRefLayer         [MAX_NUM_LAYERS][MAX_NUM_LAYERS];  
-#else
-  Int         m_refLayerId               [MAX_NUM_LAYERS][MAX_NUM_LAYERS];  
-#endif
 
   Int         m_numRefLayers             [MAX_NUM_LAYER_IDS]; 
-#if H_MV_HLS10_REF_PRED_LAYERS
   Int         m_idRefLayer               [MAX_NUM_LAYERS][MAX_NUM_LAYERS];  
-#endif
 
 
   Int         m_numPredictedLayers       [MAX_NUM_LAYERS ]; 
-#if !H_MV_HLS10_REF_PRED_LAYERS
-  Int         m_predictedLayerId         [MAX_NUM_LAYERS][MAX_NUM_LAYER_IDS];
-#else
   Int         m_idPredictedLayer         [MAX_NUM_LAYERS][MAX_NUM_LAYER_IDS];
-#endif
   Int         m_numIndependentLayers; 
   Int         m_numLayersInTreePartition [MAX_NUM_LAYER_IDS];
   Int         m_treePartitionLayerIdList [MAX_NUM_LAYERS][MAX_NUM_LAYER_IDS];
-#if H_MV_HLS10_REF_PRED_LAYERS
   Bool        m_recursiveRefLayerFlag    [MAX_NUM_LAYER_IDS][MAX_NUM_LAYER_IDS]; 
-  #endif
   Int         m_viewIndex                [MAX_NUM_LAYERS   ];
   
@@ -993,13 +903,9 @@
   std::vector< std::vector< Int> >       m_layerSetLayerIdList; 
 
-#if H_MV_HLS10_NESSECARY_LAYER
   Int        m_numNecessaryLayers        [MAX_VPS_OUTPUTLAYER_SETS];
   Bool       m_necessaryLayerFlag        [MAX_VPS_OUTPUTLAYER_SETS][MAX_NUM_LAYERS]; 
-#endif
 
   Int         xGetDimBitOffset( Int j );
-#if H_MV_HLS10_REF_PRED_LAYERS
   Void        xSetRefLayerFlags( Int currLayerId );
-#endif
   // VPS EXTENSION 2 SYNTAX ELEMENTS
 #if H_3D_ARP
@@ -1009,17 +915,11 @@
 #if H_3D_IV_MERGE
   Bool        m_ivMvPredFlag             [ MAX_NUM_LAYERS ]; 
-#if SEC_HLS_CLEANUP_I0100
   Bool        m_ivMvScalingFlag          [ MAX_NUM_LAYERS ]; 
-#endif
 #if H_3D_SPIVMP
   Int         m_iSubPULog2Size           [MAX_NUM_LAYERS   ];
-#if MTK_I0099_VPS_EX2
   Int         m_iSubPUMPILog2Size        [MAX_NUM_LAYERS   ];
-#else
-  Int         m_iSubPUMPILog2Size;
-#endif
-#endif
-#endif
-#if MTK_I0099_VPS_EX2
+#endif
+#endif
+#if H_3D_QTLPC
   Bool        m_bLimQtPredFlag           [ MAX_NUM_LAYERS ];
 #endif
@@ -1031,8 +931,7 @@
 #endif
   Bool        m_vpsDepthModesFlag        [MAX_NUM_LAYERS   ];
-#if SEPARATE_FLAG_I0085
+#if H_3D
   Bool        m_bIVPFlag                 [MAX_NUM_LAYERS   ];
 #endif
-
 #if H_3D
   UInt        m_uiCamParPrecision;
@@ -1041,9 +940,4 @@
   Int         ***m_aaaiCodedScale ;
   Int         ***m_aaaiCodedOffset;
-
-#if !SEC_HLS_CLEANUP_I0100
-  Bool        m_ivMvScalingFlag; 
-#endif
-
 #endif
 #if H_3D_INTER_SDC
@@ -1081,9 +975,7 @@
   Void    setVpsBaseLayerInternalFlag( Bool flag ) { m_vpsBaseLayerInternalFlag = flag; } 
   Bool    getVpsBaseLayerInternalFlag(  )          { return m_vpsBaseLayerInternalFlag; } 
-#if H_MV_HLS10_GEN_VSP_BASE_LAYER_AVAIL
   Void    setVpsBaseLayerAvailableFlag( Bool flag ) { m_vpsBaseLayerAvailableFlag = flag; } 
   Bool    getVpsBaseLayerAvailableFlag(  )          { return m_vpsBaseLayerAvailableFlag; } 
 #endif
-#endif
 
   UInt    getMaxTLayers  ()                   { return m_uiMaxTLayers;   }
@@ -1092,7 +984,5 @@
 #if H_MV    
   UInt    getMaxSubLayersMinus1()             { return m_uiMaxTLayers - 1;  }  // For consistency with draft spec
-#if H_MV_HLS10_GEN_FIX
   Void    setMaxSubLayersMinus1(UInt val)     { m_uiMaxTLayers = (val + 1); };
-#endif
   UInt    getMaxLayersMinus1()                { return m_uiMaxLayersMinus1;  }; 
   Void    setMaxLayersMinus1(UInt l)          { m_uiMaxLayersMinus1 = l; }
@@ -1134,9 +1024,5 @@
 
 #if H_MV
-#if H_MV_HLS10_PTL
   TComPTL* getPTL( Int idx = 0 ) { return &m_pcPTL[idx]; }
-#else
-  TComPTL* getPTL( Int layerSet = 0 ) { return &m_pcPTL[layerSet]; }
-#endif
 #else
   TComPTL* getPTL() { return &m_pcPTL; }
@@ -1218,7 +1104,5 @@
   Void    setLayerSetIdxForOlsMinus1( Int outLayerSetIdx, Int val )        { m_layerSetIdxForOlsMinus1[ outLayerSetIdx ]  = val; } 
   Int     getLayerSetIdxForOlsMinus1( Int outLayerSetIdx )                 { return m_layerSetIdxForOlsMinus1[ outLayerSetIdx ]; } 
-#if VPS_MISC_UPDATES
   Int     getLayerSetIdxForOlsMinus1Len( Int outLayerSetIdx )              { return gCeilLog2( getNumLayerSets() ); } 
-#endif
 
   Void    setOutputLayerFlag( Int outLayerSetIdx, Int i, Bool flag )       { m_outputLayerFlag[ outLayerSetIdx ][ i ] = flag; } 
@@ -1227,14 +1111,7 @@
   Bool    inferOutputLayerFlag( Int i, Int j );
 
-#if H_MV_HLS10_PTL
   Void    setProfileTierLevelIdx( Int i, Int j, Int val )                  { m_profileTierLevelIdx[ i ][ j ] = val; }
   Int     getProfileTierLevelIdx( Int i, Int j )                           { return m_profileTierLevelIdx[ i ][ j ]; } 
-#if H_MV_HLS10_PTL_FIX
   Int     inferProfileTierLevelIdx( Int i, Int j );
-#endif
-#else
-  Void    setProfileLevelTierIdx( Int outLayerSetIdx, Int val )            { m_profileLevelTierIdx[ outLayerSetIdx ] = val; }
-  Int     getProfileLevelTierIdx( Int outLayerSetIdx )                     { return m_profileLevelTierIdx[ outLayerSetIdx ]; } 
-#endif
   
   Void    setAltOutputLayerFlag( Int i, Bool flag )                        { m_altOutputLayerFlag[i] = flag; } 
@@ -1266,7 +1143,4 @@
   TComDpbSize* getDpbSize( )                                               { return m_dpbSize;} 
   
-#if !H_MV_HLS10_ADD_LAYERSETS  
-  Void    inferDbpSizeLayerSetZero( TComSPS* sps, Bool encoder );
-#endif
 
   Void    setPocLsbNotPresentFlag( Int i, Bool flag )                      { m_pocLsbNotPresentFlag[i] = flag; } 
@@ -1299,27 +1173,16 @@
 
   Int     getViewIndex    ( Int layerIdInNuh )                             { return getScalabilityId( getLayerIdInVps(layerIdInNuh), VIEW_ORDER_INDEX  ); }    
-#if H_MV_HLS10_AUX
   Int     getAuxId        ( Int layerIdInNuh )                             { return getScalabilityId( getLayerIdInVps(layerIdInNuh), AUX_ID  ); }    
   Int     getDependencyId ( Int layerIdInNuh )                             { return getScalabilityId( getLayerIdInVps(layerIdInNuh), DEPENDENCY_ID  ); }    
-#endif
   Int     getNumViews();
 
-#if H_MV_HLS10_REF_PRED_LAYERS
   Bool    getDependencyFlag( Int i, Int j )                                { return m_dependencyFlag[i][j]; }
-#endif
   Int     getNumDirectRefLayers( Int layerIdInNuh )                        { return m_numDirectRefLayers[ layerIdInNuh ];  };                               
-#if !H_MV_HLS10_REF_PRED_LAYERS
-  Int     getRefLayerId        ( Int layerIdInNuh, Int idx );; 
-#endif
   Int     getNumRefLayers            ( Int i )        { return m_numRefLayers[i]; } 
   Int     getNumPredictedLayers      ( Int i )        { return m_numPredictedLayers[i]; } 
 
-#if !H_MV_HLS10_REF_PRED_LAYERS  
-  Int     getPredictedLayerId        ( Int i, Int j ) { return m_predictedLayerId[i][j]; } 
-#else
   Int     getIdRefLayer              ( Int i, Int j ) { assert( j >= 0 && j < getNumRefLayers      ( i )); return m_idRefLayer      [i][j]; } 
   Int     getIdPredictedLayer        ( Int i, Int j ) { assert( j >= 0 && j < getNumPredictedLayers( i )); return m_idPredictedLayer[i][j]; } 
   Int     getIdDirectRefLayer        ( Int i, Int j ) { assert( j >= 0 && j < getNumDirectRefLayers( i )); return m_idDirectRefLayer[i][j]; } 
-#endif
   Int     getNumIndependentLayers    (  )             { return m_numIndependentLayers; } 
   Int     getNumLayersInTreePartition( Int i )        { return m_numLayersInTreePartition[i]; } 
@@ -1328,16 +1191,10 @@
   Int     getNumLayerSets( )                                               { return getVpsNumLayerSetsMinus1() + 1 + getNumAddLayerSets();  };  
   
-#if H_MV_HLS10_ADD_LAYERSETS
   Int     getFirstAddLayerSetIdx()                    { return getVpsNumLayerSetsMinus1() + 1; } 
   Int     getLastAddLayerSetIdx()                     { return getFirstAddLayerSetIdx() + getNumAddLayerSets() - 1; }
-#endif
   Bool    checkVPSExtensionSyntax(); 
   Int     scalTypeToScalIdx   ( ScalabilityType scalType );
 
-#if H_MV_HLS10_PTL
   Int     getProfileTierLevelIdxLen()                                      { return gCeilLog2( getVpsNumProfileTierLevelMinus1() + 1 ); };       
-#else
-  Int     getProfileLevelTierIdxLen()                                      { return gCeilLog2( getVpsNumProfileTierLevelMinus1() + 1 ); };       
-#endif
   Int     getVpsRepFormatIdxLen()                                          { return gCeilLog2( getVpsNumRepFormatsMinus1() + 1 ); };       
 
@@ -1350,9 +1207,5 @@
   Void    deriveLayerSetLayerIdList();
 
-#if H_MV_HLS10_ADD_LAYERSETS
   Int     olsIdxToLsIdx( Int i )                                           { return ( i < getNumLayerSets() ) ? i  : getLayerSetIdxForOlsMinus1( i ) + 1 ; };
-#else
-  Int     olsIdxToLsIdx( Int i )                                           { return ( i <= getVpsNumLayerSetsMinus1() ) ? i  : getLayerSetIdxForOlsMinus1( i ) + 1 ; };
-#endif
   Void    initTargetLayerIdLists  ( );
   Void    deriveTargetLayerIdList ( Int i );
@@ -1363,11 +1216,7 @@
   Int     getOlsHighestOutputLayerId( Int i )                              { return getTargetOptLayerIdList( i ).back(); };  
 
-#if H_MV_HLS10_ADD_LAYERSETS
   Void    deriveAddLayerSetLayerIdList( Int i );
-#endif
-#if H_MV_HLS10_NESSECARY_LAYER
   Void    deriveNecessaryLayerFlags( Int olsIdx );;
   Int     getNecessaryLayerFlag( Int i, Int j )                            { AOF( i >= 0 && i < getNumOutputLayerSets() ); AOF( j >= 0 && j < getNumLayersInIdList( olsIdxToLsIdx( i ) )  );  return m_necessaryLayerFlag[i][j]; };  
-#endif
 
   Int     getMaxSubLayersInLayerSetMinus1( Int i );
@@ -1380,16 +1229,7 @@
 
   // helpers
-#if !H_MV_HLS10_REF_PRED_LAYERS
-  Bool    getInDirectDependencyFlag( Int depLayeridInVps, Int refLayeridInVps, Int depth = 0 );
-#endif
-#if !H_MV_HLS10_MAXNUMPICS
-  Int     getMaxNumPics( Int layerId );
-#endif
-#if H_MV_HLS10_ADD_LAYERSETS
   Void    printPTL();
   Void    printLayerDependencies();
-#if H_MV_HLS10_AUX
   Void    printScalabilityId();;
-#endif
   Void    printLayerSets();;
 
@@ -1436,5 +1276,4 @@
     xPrintArray( name, 1, idx2, numElemDim2, vec2, printNumber, false );
   }
-#endif
 
 
@@ -1470,14 +1309,9 @@
   Int     getSubPULog2Size(Int layerIdInVps)           { return m_iSubPULog2Size[layerIdInVps]; }
   Void    setSubPULog2Size(Int layerIdInVps, Int u)    { m_iSubPULog2Size[layerIdInVps] = u;}
-#if MTK_I0099_VPS_EX2
   Int     getSubPUMPILog2Size(Int layerIdInVps)           { return m_iSubPUMPILog2Size[layerIdInVps]; }
   Void    setSubPUMPILog2Size(Int layerIdInVps, Int u)    { m_iSubPUMPILog2Size[layerIdInVps] = u;}
-#else
-  Int     getSubPUMPILog2Size( )           { return m_iSubPUMPILog2Size; }
-  Void    setSubPUMPILog2Size( Int u )     { m_iSubPUMPILog2Size = u;    }
-#endif
-#endif
-#endif
-#if MTK_I0099_VPS_EX2
+#endif
+#endif
+#if H_3D_QTLPC
   Void    setLimQtPredFlag    ( Int layerIdInVps, Bool val )  { m_bLimQtPredFlag[ layerIdInVps ] = val; }
   Bool    getLimQtPredFlag    ( Int layerIdInVps ) { return m_bLimQtPredFlag[layerIdInVps];}
@@ -1493,16 +1327,10 @@
   Void    setVpsDepthModesFlag( Int layerIdInVps, Bool val )               { m_vpsDepthModesFlag[ layerIdInVps ] = val; }
   Bool    getVpsDepthModesFlag( Int layerIdInVps )                         { return m_vpsDepthModesFlag[ layerIdInVps ]; }
-#if SEPARATE_FLAG_I0085
+
   Void    setIVPFlag( Int layerIdInVps, Bool val )                    { m_bIVPFlag[ layerIdInVps ] = val; }
   Bool    getIVPFlag( Int layerIdInVps )                              { return m_bIVPFlag[ layerIdInVps ]; }
-#endif
-
-#if SEC_HLS_CLEANUP_I0100
+
   Bool    getIvMvScalingFlag   ( Int layerIdInVps )                        { return m_ivMvScalingFlag[ layerIdInVps ]; }
   Void    setIvMvScalingFlag   (Int layerIdInVps, Bool b )                 { m_ivMvScalingFlag[ layerIdInVps ] = b;    }  
-#else
-  Bool    getIvMvScalingFlag   (  )                       { return m_ivMvScalingFlag; }
-  Void    setIvMvScalingFlag   ( Bool b )                 { m_ivMvScalingFlag = b;    }  
-#endif
 
 #if H_3D_INTER_SDC
@@ -1530,7 +1358,4 @@
   Bool        m_bInterViewDltPredEnableFlag[ MAX_NUM_LAYERS ];
 
-#if !FIX_TICKET_77
-  Int         m_iBitsPerDepthValue       [ MAX_NUM_LAYERS ];
-#endif
   Int         m_iNumDepthmapValues       [ MAX_NUM_LAYERS ];
   Int*        m_iDepthValue2Idx          [ MAX_NUM_LAYERS ];
@@ -1559,20 +1384,11 @@
   UInt    getDepthViewBitDepth()                          { return m_uiDepthViewBitDepth; }
 
-#if !FIX_TICKET_77
-  Int     getBitsPerDepthValue( Int layerIdInVps )        { return getUseDLTFlag(layerIdInVps)?m_iBitsPerDepthValue[layerIdInVps]:g_bitDepthY; }
-#endif
   Int     getNumDepthValues( Int layerIdInVps )           { return getUseDLTFlag(layerIdInVps)?m_iNumDepthmapValues[layerIdInVps]:((1 << g_bitDepthY)-1); }
   Int     depthValue2idx( Int layerIdInVps, Pel value )   { return getUseDLTFlag(layerIdInVps)?m_iDepthValue2Idx[layerIdInVps][value]:value; }
-#if RWTH_DLT_CLIP_I0057
   Pel     idx2DepthValue( Int layerIdInVps, UInt uiIdx )  { return getUseDLTFlag(layerIdInVps)?m_iIdx2DepthValue[layerIdInVps][ClipY(uiIdx)]:uiIdx; }
-#else
-  Pel     idx2DepthValue( Int layerIdInVps, UInt uiIdx )  { return getUseDLTFlag(layerIdInVps)?m_iIdx2DepthValue[layerIdInVps][uiIdx]:uiIdx; }
-#endif
   Void    setDepthLUTs( Int layerIdInVps, Int* idx2DepthValue = NULL, Int iNumDepthValues = 0 );
-#if H_3D_DELTA_DLT
   Int*    idx2DepthValue( Int layerIdInVps )  { return m_iIdx2DepthValue[layerIdInVps]; }
   Void    getDeltaDLT( Int layerIdInVps, Int* piDLTInRef, UInt uiDLTInRefNum, Int* piDeltaDLTOut, UInt *puiDeltaDLTOutNum );
   Void    setDeltaDLT( Int layerIdInVps, Int* piDLTInRef, UInt uiDLTInRefNum, Int* piDeltaDLTIn, UInt uiDeltaDLTInNum );
-#endif
 };
 #endif
@@ -1833,10 +1649,4 @@
   Bool        m_useAMP;
 
-#if !MTK_I0099_VPS_EX2
-#if H_3D_QTLPC
-  Bool        m_bUseQTL;
-  Bool        m_bUsePC;
-#endif
-#endif
   // Parameter
   Int         m_bitDepthY;
@@ -1880,8 +1690,6 @@
   TComVPS*    m_pcVPS; 
   // SPS 
-#if H_MV_HLS10_MULTILAYERSPS
   Int         m_spsMaxSubLayersMinus1;
   Int         m_spsExtOrMaxSubLayersMinus1;
-#endif
   Bool        m_spsExtensionPresentFlag; 
 
@@ -1901,12 +1709,4 @@
   // SPS Extension 
   Bool        m_interViewMvVertConstraintFlag;
-#if !H_MV_HLS10_PPS
-  Int         m_numScaledRefLayerOffsets;
-  Int         m_scaledRefLayerId          [MAX_NUM_SCALED_REF_LAYERS];
-  Int         m_scaledRefLayerLeftOffset  [MAX_NUM_LAYERS];
-  Int         m_scaledRefLayerTopOffset   [MAX_NUM_LAYERS];
-  Int         m_scaledRefLayerRightOffset [MAX_NUM_LAYERS];
-  Int         m_scaledRefLayerBottomOffset[MAX_NUM_LAYERS];
-#endif
 #endif
 #if H_3D
@@ -2012,7 +1812,5 @@
 #if H_MV
   UInt      getSpsMaxSubLayersMinus1()                { return ( m_uiMaxTLayers - 1); }
-#if H_MV_HLS10_MULTILAYERSPS
   Void      setSpsMaxSubLayersMinus1( UInt val )       { setMaxTLayers( val + 1 ); }
-#endif
 #endif
 
@@ -2047,5 +1845,4 @@
   TComPTL* getPTL()     { return &m_pcPTL; }
 #if H_MV
-#if H_MV_HLS10_MULTILAYERSPS
   Void setSpsExtOrMaxSubLayersMinus1( Int  val ) { m_spsExtOrMaxSubLayersMinus1 = val; } 
   Int  getSpsExtOrMaxSubLayersMinus1(  ) { return m_spsExtOrMaxSubLayersMinus1; } 
@@ -2053,5 +1850,4 @@
 
   Bool getMultiLayerExtSpsFlag()            { return ( getLayerId() != 0  &&  getSpsExtOrMaxSubLayersMinus1() == 7 ); }
-#endif
   Void inferSpsMaxDecPicBufferingMinus1( TComVPS* vps, Int targetOptLayerSetIdx, Int currLayerId, Bool encoder );
 
@@ -2092,23 +1888,4 @@
   Bool getInterViewMvVertConstraintFlag()         { return m_interViewMvVertConstraintFlag;}
 
-#if !H_MV_HLS10_PPS
-  Void setNumScaledRefLayerOffsets( Int  val )    { m_numScaledRefLayerOffsets = val; } 
-  Int  getNumScaledRefLayerOffsets(  )            { return m_numScaledRefLayerOffsets; } 
-
-  Void setScaledRefLayerId( Int i, Int  val )     { m_scaledRefLayerId[i] = val; } 
-  Int  getScaledRefLayerId( Int i )               { return m_scaledRefLayerId[i]; } 
-
-  Void setScaledRefLayerLeftOffset( Int j, Int  val ) { m_scaledRefLayerLeftOffset[j] = val; } 
-  Int  getScaledRefLayerLeftOffset( Int j )           { return m_scaledRefLayerLeftOffset[j]; } 
-
-  Void setScaledRefLayerTopOffset( Int j, Int  val )  { m_scaledRefLayerTopOffset[j] = val; } 
-  Int  getScaledRefLayerTopOffset( Int j )            { return m_scaledRefLayerTopOffset[j]; } 
-
-  Void setScaledRefLayerRightOffset( Int j, Int  val ) { m_scaledRefLayerRightOffset[j] = val; } 
-  Int  getScaledRefLayerRightOffset( Int j )           { return m_scaledRefLayerRightOffset[j]; } 
-
-  Void setScaledRefLayerBottomOffset( Int j, Int  val ) { m_scaledRefLayerBottomOffset[j] = val; } 
-  Int  getScaledRefLayerBottomOffset( Int j )           { return m_scaledRefLayerBottomOffset[j]; } 
-#endif
   // Inference 
 
@@ -2119,12 +1896,4 @@
   Void checkRpsMaxNumPics( TComVPS* vps, Int currLayerId );
 
-#endif
-#if !MTK_I0099_VPS_EX2
-#if H_3D_QTLPC
-  Void setUseQTL( Bool b ) { m_bUseQTL = b;    }
-  Bool getUseQTL()         { return m_bUseQTL; }
-  Void setUsePC ( Bool b ) { m_bUsePC  = b;    }
-  Bool getUsePC ()         { return m_bUsePC;  }
-#endif
 #endif
 #if H_MV
@@ -2201,11 +1970,11 @@
   
   Bool     m_loopFilterAcrossTilesEnabledFlag;
-  Int      m_uniformSpacingFlag;
-  Int      m_iNumColumnsMinus1;
-  UInt*    m_puiColumnWidth;
-  Int      m_iNumRowsMinus1;
-  UInt*    m_puiRowHeight;
-
-  Int      m_iNumSubstreams;
+  Bool             m_uniformSpacingFlag;
+  Int              m_numTileColumnsMinus1;
+  Int              m_numTileRowsMinus1;
+  std::vector<Int> m_tileColumnWidth;
+  std::vector<Int> m_tileRowHeight;
+
+  Int      m_numSubstreams;
 
   Int      m_signHideFlag;
@@ -2304,42 +2073,22 @@
   Bool    getDependentSliceSegmentsEnabledFlag() const     { return m_dependentSliceSegmentsEnabledFlag; }
   Void    setDependentSliceSegmentsEnabledFlag(Bool val)   { m_dependentSliceSegmentsEnabledFlag = val; }
-  Bool    getTilesEnabledFlag() const                      { return m_tilesEnabledFlag; }
-  Void    setTilesEnabledFlag(Bool val)                    { m_tilesEnabledFlag = val; }
   Bool    getEntropyCodingSyncEnabledFlag() const          { return m_entropyCodingSyncEnabledFlag; }
   Void    setEntropyCodingSyncEnabledFlag(Bool val)        { m_entropyCodingSyncEnabledFlag = val; }
-  Void     setUniformSpacingFlag            ( Bool b )          { m_uniformSpacingFlag = b; }
-  Bool     getUniformSpacingFlag            ()                  { return m_uniformSpacingFlag; }
-  Void     setNumColumnsMinus1              ( Int i )           { m_iNumColumnsMinus1 = i; }
-  Int      getNumColumnsMinus1              ()                  { return m_iNumColumnsMinus1; }
-  Void     setColumnWidth ( UInt* columnWidth )
-  {
-    if( m_uniformSpacingFlag == 0 && m_iNumColumnsMinus1 > 0 )
-    {
-      m_puiColumnWidth = new UInt[ m_iNumColumnsMinus1 ];
-
-      for(Int i=0; i<m_iNumColumnsMinus1; i++)
-      {
-        m_puiColumnWidth[i] = columnWidth[i];
-      }
-    }
-  }
-  UInt     getColumnWidth  (UInt columnIdx) { return *( m_puiColumnWidth + columnIdx ); }
-  Void     setNumRowsMinus1( Int i )        { m_iNumRowsMinus1 = i; }
-  Int      getNumRowsMinus1()               { return m_iNumRowsMinus1; }
-  Void     setRowHeight    ( UInt* rowHeight )
-  {
-    if( m_uniformSpacingFlag == 0 && m_iNumRowsMinus1 > 0 )
-    {
-      m_puiRowHeight = new UInt[ m_iNumRowsMinus1 ];
-
-      for(Int i=0; i<m_iNumRowsMinus1; i++)
-      {
-        m_puiRowHeight[i] = rowHeight[i];
-      }
-    }
-  }
-  UInt     getRowHeight           (UInt rowIdx)    { return *( m_puiRowHeight + rowIdx ); }
-  Void     setNumSubstreams(Int iNumSubstreams)               { m_iNumSubstreams = iNumSubstreams; }
-  Int      getNumSubstreams()                                 { return m_iNumSubstreams; }
+
+  Void     setTilesEnabledFlag       (Bool val)                             { m_tilesEnabledFlag = val; }
+  Bool     getTilesEnabledFlag       () const                               { return m_tilesEnabledFlag; }
+  Void     setTileUniformSpacingFlag (Bool b)                               { m_uniformSpacingFlag = b; }
+  Bool     getTileUniformSpacingFlag () const                               { return m_uniformSpacingFlag; }
+  Void     setNumTileColumnsMinus1   (Int i)                                { m_numTileColumnsMinus1 = i; }
+  Int      getNumTileColumnsMinus1   () const                               { return m_numTileColumnsMinus1; }
+  Void     setTileColumnWidth        (const std::vector<Int>& columnWidth ) { m_tileColumnWidth = columnWidth; }
+  UInt     getTileColumnWidth        (UInt columnIdx) const                 { return  m_tileColumnWidth[columnIdx]; }
+  Void     setNumTileRowsMinus1      (Int i)                                { m_numTileRowsMinus1 = i; }
+  Int      getTileNumRowsMinus1      () const                               { return m_numTileRowsMinus1; }
+  Void     setTileRowHeight          (const std::vector<Int>& rowHeight)    { m_tileRowHeight = rowHeight;  }
+  UInt     getTileRowHeight          (UInt rowIdx) const                    { return m_tileRowHeight[rowIdx]; }
+
+  Void     setNumSubstreams    (Int numSubstreams)                     { m_numSubstreams = numSubstreams; }
+  Int      getNumSubstreams    ()                                      { return m_numSubstreams; }
 
   Void      setSignHideFlag( Int signHideFlag ) { m_signHideFlag = signHideFlag; }
@@ -2537,5 +2286,5 @@
 
   Bool       m_enableTMVPFlag;
-#if I0044_SLICE_TMVP
+#if H_MV
   Bool       m_availableForTMVPRefFlag;
 #endif
@@ -2599,8 +2348,8 @@
   UInt         m_aiDDDShift    [MAX_NUM_LAYERS];
 #endif
-#if MTK_SINGLE_DEPTH_MODE_I0095
+#if H_3D_SINGLE_DEPTH
   Bool      m_bApplySingleDepthMode;
 #endif
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086_FIX
+#if H_3D_IC
   Int *m_aICEnableCandidate;
   Int *m_aICEnableNum;
@@ -2676,5 +2425,5 @@
   TComPic*  getTexturePic       ()                              { return  m_ivPicsCurrPoc[0][ m_viewIndex ]; }
 #endif
-#if MTK_SINGLE_DEPTH_MODE_I0095
+#if H_3D_SINGLE_DEPTH
   Void      setApplySingleDepthMode( Bool b )                                { m_bApplySingleDepthMode = b; }
   Bool      getApplySingleDepthMode()                                        { return m_bApplySingleDepthMode; }
@@ -2877,5 +2626,5 @@
   Void      setEnableTMVPFlag     ( Bool   b )    { m_enableTMVPFlag = b; }
   Bool      getEnableTMVPFlag     ()              { return m_enableTMVPFlag;}
-#if I0044_SLICE_TMVP
+#if H_MV
   Void      setAvailableForTMVPRefFlag     ( Bool   b )    { m_availableForTMVPRefFlag = b; }
   Bool      getAvailableForTMVPRefFlag     ()              { return m_availableForTMVPRefFlag;}
@@ -2917,9 +2666,7 @@
   Int* getDepthToDisparityF( Int refViewIdx ) { return m_depthToDisparityF[ refViewIdx ]; }; 
   Bool getVpsDepthModesFlag  ()  { return getVPS()->getVpsDepthModesFlag( getVPS()->getLayerIdInVps( m_layerId ) ); }
-#if SEPARATE_FLAG_I0085
   Bool getIVPFlag       ()  { return getVPS()->getIVPFlag( getVPS()->getLayerIdInVps( m_layerId ) ); }
 #endif
-#endif
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086_FIX
+#if H_3D_IC
   Void    setICEnableCandidate( Int* ICEnableCandidate)   { m_aICEnableCandidate = ICEnableCandidate; };
   Void    setICEnableNum( Int* ICEnableNum)   { m_aICEnableNum = ICEnableNum; };
